cpqamt read descriptor_state          

@Echo off
call el.bat

if %EL% == 10 set locked=0
if %EL% == 10 goto exit_ok
if %EL% == 9 set locked=1
if %EL% == 9 goto exit_ok

:exit error
set EL=1
goto end

:exit_ok
set EL=0
goto end

:end
